using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace InteractiveKiosk.Attractions
{
    /// <summary>
    /// Interaction logic for Hiphop.xaml
    /// </summary>
    public partial class Hiphop : Window
    {
        InteractiveKioskEntities db = new InteractiveKioskEntities();
        public Hiphop()
        {
            InitializeComponent();

            string Hiphop = "Хип-Хоп";
            var SelectedHiphop = db.Attractions.SingleOrDefault(a => a.AttractionName == Hiphop);
            DescriptionHiphop.Text = SelectedHiphop.DescriptionOfTheAttraction;
            string Hiphop1 = "Хип-Хоп";
            var SelectedHiphop1 = db.Attractions.SingleOrDefault(a => a.AttractionName == Hiphop1);
            Rules.Text = Convert.ToString(SelectedHiphop1.RulesOfAttraction);
            string Hiphop2 = "Хип-Хоп";
            var SelectedHiphop2 = db.Attractions.SingleOrDefault(a => a.AttractionName == Hiphop2);
            PriceHiphop.Text = Convert.ToString(SelectedHiphop2.AttractionCost);
        }

        private void ExitButton_MouseDown(object sender, MouseButtonEventArgs e)
        {
            this.Close();
        }

        private void MinButton_MouseDown(object sender, MouseButtonEventArgs e)
        {
            this.WindowState = WindowState.Minimized;
        }

        private void BackButton_MouseDown(object sender, MouseButtonEventArgs e)
        {
            AttractionsWindow aw = new AttractionsWindow();
            aw.Show();
            this.Close();
        }
    }
}
